Skip to content
payrocdevelopers

Create funding account

Browse API reference

POST/funding-recipients/{recipientId}/funding-accountscreateFundRecipientFundingAccount

Use this method to create a funding account and add it to a funding recipient.

To add a funding account to a funding recipient, you need the recipientId. Our gateway returned the recipientId in the response of the Create Funding Recipient method.

Note: If you don't have the recipientId, use our List Funding Recipients method to search for the funding recipient.

In the request, include the following information:

  • Account type, for example, if the account is a checking or savings account.
  • Account holder's name.
  • ACH information, including the routing number and account number of the account.

Our gateway returns the fundingAccountId, which you can use to run follow-on actions.

Parameters

NameInTypeDescription
recipientIdRequiredpathinteger

Unique identifier that we assigned to the funding recipient.

Idempotency-KeyRequiredheaderstring

Unique identifier that you generate for each request. You must use the UUID v4 format for the identifier. For more information about the idempotency key, go to Idempotency.

Request body

application/json
  • metadataobject
    Metadata object you can use to include custom data with your request.
  • nameOnAccountstringrequired
    Name of the account holder.
  • paymentMethodsobject[]required
    Array of PaymentMethodAch objects.
    • ACH payment methodobject
      • typestring
        Payment method that we use to send funds to the account.ach
      • valueobject
        Object that contains information about the funding account.+2 more fields at deeper levels — see the full spec
  • typestringrequired
    Type of funding account.checkingsavingsgeneralLedger
  • usestringrequired
    Indicates if we send funds or withdraw funds from the account. credit Send funds to the account. debit Withdraw funds from the account. creditAndDebit Send funds and withdraw funds from the account. Note: If the funding account is associated with a funding recipient, we accept only a value of credit.creditdebitcreditAndDebit

Responses

Successful request. We created the funding account and added it to the funding recipient.

201 Created · application/json
{
  "createdDate": "2024-07-02T15:30:00+00:00",
  "fundingAccountId": 123,
  "lastModifiedDate": "2024-07-02T15:30:00+00:00",
  "links": [
    {
      "href": "https://api.payroc.com/v1/funding-recipients/234",
      "method": "get",
      "rel": "parent"
    }
  ],
  "metadata": {
    "responsiblePerson": "Jane Doe"
  },
  "nameOnAccount": "Fred Nerk",
  "paymentMethods": [
    {
      "type": "ach",
      "value": {
        "accountNumber": "******4321",
        "routingNumber": "*****3123"
      }
    }
  ],
  "status": "pending",
  "type": "savings",
  "use": "credit"
}
Response schema · 16 of 18 fields
  • createdDatestringdate-time
    Date and time that we received your request to create the funding account in our system.
  • fundingAccountIdinteger
    Unique identifier that we assigned to the funding account.
  • lastModifiedDatestringdate-time
    Date and time that the funding account was last modified.
  • linksobject[]
    Array of HATEOAS links.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • metadataobject
    Metadata object you can use to include custom data with your request.
  • nameOnAccountstringrequired
    Name of the account holder.
  • paymentMethodsobject[]required
    Array of PaymentMethodAch objects.
    • ACH payment methodobject
      • typestring
        Payment method that we use to send funds to the account.ach
      • valueobject
        Object that contains information about the funding account.+2 more fields at deeper levels — see the full spec
  • statusstring
    Status of the funding account. The value is one of the following: approved We approved the funding account. rejected We rejected the funding account. pending We have not yet approved the funding account. hold Our Risk team have temporarily placed a hold on the funding account.approvedrejectedpendinghold
  • typestringrequired
    Type of funding account.checkingsavingsgeneralLedger
  • usestringrequired
    Indicates if we send funds or withdraw funds from the account. credit Send funds to the account. debit Withdraw funds from the account. creditAndDebit Send funds and withdraw funds from the account. Note: If the funding account is associated with a funding recipient, we accept only a value of credit.creditdebitcreditAndDebit

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer